Bug 116630 - High CPU usage (25%) scrolling a slide down with arrow key containing a table
Summary: High CPU usage (25%) scrolling a slide down with arrow key containing a table
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, needsDevAdvice
Depends on:
Blocks: DirectWrite-Regression Scrolling-Performance
  Show dependency treegraph
 
Reported: 2018-03-25 21:02 UTC by Telesto
Modified: 2021-12-02 18:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (38.97 KB, application/vnd.oasis.opendocument.presentation)
2018-03-25 21:04 UTC, Telesto
Details
Bibisect log (2.91 KB, text/plain)
2018-03-25 21:11 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-03-25 21:02:30 UTC
Description:
Using 1 core scrolling a slide down with arrow key

Steps to Reproduce:
1. Open the attached file (based on bug 113643)
2. Scroll the slide to top position
3. Scroll down using the down arrow key

Actual Results:  
Utilization of 1 core & a small lag

Expected Results:
12% or less


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.1.0.0.alpha0+
Build ID: dd4f1b1bd31daf080dc0420524712dc244e539b5
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-03-20_23:26:38
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2018-03-25 21:04:55 UTC
Created attachment 140880 [details]
Example file
Comment 2 Telesto 2018-03-25 21:11:27 UTC
Created attachment 140881 [details]
Bibisect log

Bisected to:
author	Khaled Hosny <khaledhosny@eglug.org>	2017-03-03 05:15:14 +0200
committer	Khaled Hosny <khaledhosny@eglug.org>	2017-03-03 13:22:53 +0000
commit a51b7a1c3a7e7cf7b0c733e1dec40288278c1884 (patch)
tree 6452088195b6c0ad617e7a6b9f97ecc8672d321e
parent 5742868ccf030b2c0f03538d030bd18bd5666bdb (diff)
tdf#103831, tdf#100986: Force using GDI when needed
Our DirectWrite renderer is incomplete and can’t handle rotated text or text
with horizontal scaling, so route these two through GDI for now.
Comment 3 Buovjaga 2018-03-29 14:17:19 UTC
Don't know, if we should just dupe to bug 107521 ...?
Comment 4 Telesto 2018-03-29 20:07:45 UTC
(In reply to Buovjaga from comment #3)
> Don't know, if we should just dupe to bug 107521 ...?

It's a bit to complex for me.  A commit partly reverted again because of all sorts of performance issues 
http://cgit.freedesktop.org/libreoffice/core/commit/?id=5440837e02dee8bc884e02be697bfd4def621d26&h=libreoffice-5-3 (See (meta) bug 112486

The problem is still exists in LibO6.1, so must another part of same commit. Or related to bug 108608..
Comment 5 Roman Kuznetsov 2019-11-27 14:50:08 UTC
Why isn't it a NEW? I can confirm it in:

Версия: 6.5.0.0.alpha0+ (x64)
ID сборки: 685a0c2de4e12cde691ebff63b0f2348a7d68b58
Потоков ЦП: 4; ОС:Windows 10.0 Build 18362; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded
Comment 6 Buovjaga 2019-11-27 15:12:13 UTC
(In reply to Roman Kuznetsov from comment #5)
> Why isn't it a NEW? I can confirm it in:

Because keyword: needsDevAdvice
Comment 7 QA Administrators 2021-12-02 04:43:23 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug